[Bug 373046] [NEW] Sync obexftp 0.22-1 (universe) from Debian unstable (main).

Launchpad Bug Tracker 373046 at bugs.launchpad.net
Thu May 7 03:24:26 BST 2009

You have been subscribed to a public bug by Andreas Moog (amoog):

Hash: SHA1

 affects ubuntu/obexftp
 status confirmed
 importance wishlist
 subscribe ubuntu-archive

Please sync obexftp 0.22-1 (universe) from Debian unstable (main).

Explanation of the Ubuntu delta and why it can be dropped:

delta was introduced in 0.19-7ubuntu1, where the sablotron build-dep had
to be dropped. This has now also been done by debian (see changelog). Thus,
the change can be dropped and a sync can be made.

Changelog since current karmic version 0.19-7ubuntu2:

obexftp (0.22-1) unstable; urgency=low

  * New upstream release (closes: #394339, #398068)
  * Remove all old patches, all were applied equally upstream
  * Bump debhelper compatibility to 7
  * Add Homepage source package control field
  * Compile all libs as shared objects and split them into separate packages
    libobexftp0, libmulticobex1 and libbfb0
  * Add python-obexftp package for the Python binding:
      - Change from dh_pysupport to dh_pycentral
      - Remove debian/pycompat, only needed for dh_python
  * Add libobexftp-ruby package for the ruby binding
  * Add libobexftp-perl package for the perl binding
      - Call dh_perl in debian/rules
  * Use dh_installexamples to install the programming examples
  * Bump standards version to 3.8.0 and apply the necessary changes:
      - added debian/README.source to describe how to apply the patches,
      - added Homepage field
  * Add obexls, obexget, obexput and obexrm as symlinks to obexftp binary
  * Add patch sizeof_fixes_SVN217 from upstream that fixes a bug related to
    usage of sizeof()
  * Remove sablotron from build-depends (closes: #493723)
  * Add doxygen to build-depends, needed to build the new API documentation
  * Add swig to build-depends and force rebuilding the pre-built swig files

 -- Hendrik Sattler <debian at hendrik-sattler.de>  Sat, 25 Oct 2008
16:28:12 +0200

Version: GnuPG v1.4.9 (GNU/Linux)


** Affects: obexftp (Ubuntu)
     Importance: Wishlist
         Status: Confirmed

Sync obexftp 0.22-1 (universe) from Debian unstable (main).
You received this bug notification because you are a member of Ubuntu Sponsors for universe, which is a direct subscriber.

More information about the Ubuntu-universe-sponsors mailing list